html,
body {
  position: relative;
  width: 100%;
  min-height: 100%;
  perspective: 1000px;
  transform-origin: center center;
  background-color: #000;
  background: radial-gradient(
      ellipse at 100% 100%,
      rgb(7 0 31 / 12%),
      rgb(68 34 255 / 6%),
      transparent
    ),
    linear-gradient(to bottom right, #0f1b1b, #141726, #37172f, #082c36);
  height: 100vh;
}

#mainbox {
  position: relative;
  height: 100vh !important;
  background-color: transparent !important;
  border-color: transparent !important;
}
.topimage {
  display: block;
  margin: 0px auto;
  padding: 0px auto;
  width: 60%;
  height: auto;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.topimage img {
  width: 100%;
}

.topimage p {
  font-size: x-large;
}

.btn-enter {
  margin: 10px auto;
  clear: both;
  display: block;
  max-width: 300px;
  border: 3px solid #ff0038;
  border-radius: 50px;
  text-align: center;
  font-size: x-large;
  padding: 10px 0px;
  text-decoration: none;
  color: #000;
  background-color: #ffffff;
}

.btn-enter:hover {
  cursor: pointer;
}

.modal_box {
  position: fixed;
  z-index: 7777;
  display: none;
  width: 80%;
  max-width: 840px;
  margin: 0;
  padding: 60px 2vw 80px;
  border: 2px solid #aaa;
  text-align: center;
  background: #fff;
  box-sizing: border-box;
}

.modal_box h2 {
  font-size: x-large;
}

.modal_box input {
  display: block;
  width: 250px;
  font-family: "Sawarabi Mincho", sans-serif;
  border: none;
  outline: none;
  margin: 0px auto;
  padding: 10px;
  font-size: x-large;
  text-align: center;
  color: #676767;
  border: solid 3px #ff0038;
  -webkit-appearance: none;
  border-radius: 0;
}

.modal_box input[type="submit"] {
  margin: 10px auto;
  clear: both;
  display: block;
  max-width: 300px;
  border: 3px solid #ff0038;
  border-radius: 50px;
  text-align: center;
  font-size: x-large;
  padding: 10px 0px;
  text-decoration: none;
  color: #000;
  background-color: #ffffff;
}

.modal_box input[type="submit"]:hover {
  cursor: pointer;
}

.modal_close {
  position: absolute;
  top: 0;
  right: 0;
  display: block;
  width: 62px;
  font-size: 46px;
  color: #000;
  line-height: 62px;
  text-align: center;
  background: #e6e6e6;
}

.modal_close i {
  line-height: 62px;
  vertical-align: bottom;
}

.modal_bg {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 6666;
  display: none;
  width: 100%;
  height: 120%;
  background-color: rgba(0, 0, 0, 0.7);
}
@media screen and (max-width: 769px) {
  /*  ウィンドウサイズ769px以下の時のスタイル  */

  .modal_box {
    padding: 50px 2vw 40px;
  }

  .modal_close {
    width: 40px;
    line-height: 40px;
    font-size: 30px;
  }

  .modal_close i {
    line-height: 44px;
  }
}
@media screen and (max-width: 480px) {
  .topimage {
    width: 90%;
  }
}
